Retrieve a payment intent
curl --request GET \
--url https://merchant.zahlo.eu/api/v1/payment-intents/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://merchant.zahlo.eu/api/v1/payment-intents/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://merchant.zahlo.eu/api/v1/payment-intents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "pi_demo_1001",
"amountMinor": 4990,
"currency": "EUR",
"status": "requires_action",
"captureMethod": "automatic",
"paymentId": "pay_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}Payments
Retrieve a payment intent
Retrieve a payment intent. Use the response status and request ID to decide whether to retry, reconcile, or ask the customer for action.
GET
/
api
/
v1
/
payment-intents
/
{id}
Retrieve a payment intent
curl --request GET \
--url https://merchant.zahlo.eu/api/v1/payment-intents/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://merchant.zahlo.eu/api/v1/payment-intents/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://merchant.zahlo.eu/api/v1/payment-intents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "pi_demo_1001",
"amountMinor": 4990,
"currency": "EUR",
"status": "requires_action",
"captureMethod": "automatic",
"paymentId": "pay_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}{
"error": "invalid_request",
"message": "amountMinor must be positive",
"requestId": "req_demo_1001"
}Authorizations
Server-side merchant API key. Never expose it in browser code.
Path Parameters
The resource identifier returned by the merchant API.
Response
Successful response
Available options:
requires_payment_method, requires_action, requires_capture, processing, succeeded, cancelled Available options:
automatic, manual Required range:
x >= 0Show child attributes
Show child attributes